Installieren Sie unsere App Klicken Sie auf das -Symbol oben rechts in der Adressleiste.

Uptime-Monitoring

GET https://peaknode.de/api/monitors/
curl --request GET \
--url 'https://peaknode.de/api/monitors/' \
--header 'Authorization: Bearer {api_key}' \
Parameter Details Beschreibung
search Optional String Der Suchbegriff.
search_by Optional String Das Feld, in dem gesucht wird. Erlaubte Werte: name, target.
is_enabled Optional Boolean
type Optional String Erlaubte Werte: website, ping, port
ping_servers_ids Optional Integer Erlaubte Werte: 1, 2
project_id Optional Integer
datetime_field Optional String Erlaubte Werte: datetime, last_datetime, last_check_datetime
datetime_start Optional String Ergebnisse ab diesem Zeitpunkt filtern. Format Y-m-d H:i:s.
datetime_end Optional String Ergebnisse bis zu diesem Zeitpunkt filtern. Format Y-m-d H:i:s.
order_by Optional String Das Feld, nach dem die Ergebnisse sortiert werden. Erlaubte Werte: monitor_id, datetime, last_datetime, last_check_datetime, name, uptime, average_response_time.
order_type Optional String Die Sortierreihenfolge der Ergebnisse. Erlaubte Werte: ASC für aufsteigend und DESC für absteigend.
page Optional Integer Die Seitennummer, von der Sie Ergebnisse erhalten möchten. Standard: 1.
results_per_page Optional Integer Anzahl der Ergebnisse pro Seite. Erlaubte Werte: 10, 25, 50, 100, 250, 500, 1000. Standard: 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "project_id": 1,
            "name": "Example",
            "type": "Example",
            "target": "Example",
            "port": 1,
            "settings": [],
            "ping_servers_ids": [],
            "is_ok": 1,
            "uptime": 1.5,
            "downtime": 1.5,
            "average_response_time": 1.5,
            "total_checks": 1,
            "total_ok_checks": 1,
            "total_not_ok_checks": 1,
            "last_check_datetime": null,
            "notifications": [],
            "is_enabled": true,
            "datetime": "2026-10-13 14:37:18",
            "last_datetime": null
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://peaknode.de/api/monitors?page=1",
        "last": "https://peaknode.de/api/monitors?page=1",
        "next": null,
        "prev": null,
        "self": "https://peaknode.de/api/monitors?page=1"
    }
}
GET https://peaknode.de/api/monitors/{monitor_id}
curl --request GET \
--url 'https://peaknode.de/api/monitors/{monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 1,
        "name": "Example",
        "type": "Example",
        "target": "Example",
        "port": 1,
        "settings": [],
        "ping_servers_ids": [],
        "is_ok": 1,
        "uptime": 1.5,
        "downtime": 1.5,
        "average_response_time": 1.5,
        "total_checks": 1,
        "total_ok_checks": 1,
        "total_not_ok_checks": 1,
        "last_check_datetime": null,
        "notifications": [],
        "is_enabled": true,
        "datetime": "2026-10-13 14:37:18",
        "last_datetime": null
    }
}
POST https://peaknode.de/api/monitors
Parameter Details Beschreibung
name Erforderlich String -
target Erforderlich String -
port Optional String -
type Optional String Erlaubte Werte: website, ping, port
project_id Optional Integer -
ping_servers_ids Optional Array Erlaubte Werte: 1, 2
check_interval_seconds Optional Integer Erlaubte Werte: 60, 180, 300, 600, 1800, 3600, 21600, 43200, 86400 (Sekunden)
timeout_seconds Optional Integer Erlaubte Werte: 1, 2, 3, 5, 10, 25 (Sekunden)
request_method Optional String Erlaubte Werte: HEAD, GET, POST, PUT, PATCH
request_body Optional String -
request_basic_auth_username Optional String -
request_basic_auth_password Optional String -
request_header_name Optional Array -
request_header_value Optional Array -
response_status_code Optional Integer -
response_body Optional String -
response_header_name Optional String -
response_header_value Optional String -
is_ok_notifications Optional Array IDs der Benachrichtigungskanäle
email_reports_is_enabled Optional Boolean -
cache_buster_is_enabled Optional Boolean -
verify_ssl_is_enabled Optional Boolean -
is_enabled Optional Boolean -
follow_redirects Optional String -
curl --request POST \
--url 'https://peaknode.de/api/monitors' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=https://example.com/' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 1,
        "name": "Example",
        "type": "Example",
        "target": "Example",
        "port": 1,
        "settings": [],
        "ping_servers_ids": [],
        "is_ok": true,
        "uptime": 1.5,
        "downtime": 1.5,
        "average_response_time": 1.5,
        "total_checks": 1,
        "total_ok_checks": 1,
        "total_not_ok_checks": 1,
        "last_check_datetime": null,
        "notifications": [],
        "is_enabled": true,
        "datetime": "2026-10-13 14:37:18",
        "last_datetime": null
    }
}
POST https://peaknode.de/api/monitors/{monitor_id}
Parameter Details Beschreibung
name Optional String -
target Optional String -
port Optional String -
type Optional String Erlaubte Werte: website, ping, port
project_id Optional Integer -
ping_servers_ids Optional Array Erlaubte Werte: 1, 2
check_interval_seconds Optional Integer Erlaubte Werte: 60, 180, 300, 600, 1800, 3600, 21600, 43200, 86400 (Sekunden)
timeout_seconds Optional Integer Erlaubte Werte: 1, 2, 3, 5, 10, 25 (Sekunden)
request_method Optional String Erlaubte Werte: HEAD, GET, POST, PUT, PATCH
request_body Optional String -
request_basic_auth_username Optional String -
request_basic_auth_password Optional String -
request_header_name Optional Array -
request_header_value Optional Array -
response_status_code Optional Integer -
response_body Optional String -
response_header_name Optional String -
response_header_value Optional String -
is_ok_notifications Optional Array IDs der Benachrichtigungskanäle
email_reports_is_enabled Optional Boolean -
cache_buster_is_enabled Optional Boolean -
verify_ssl_is_enabled Optional Boolean -
is_enabled Optional Boolean -
follow_redirects Optional String -
curl --request POST \
--url 'https://peaknode.de/api/monitors/{monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 1,
        "name": "Example",
        "type": "Example",
        "target": "Example",
        "port": 1,
        "settings": [],
        "ping_servers_ids": [],
        "is_ok": 1,
        "uptime": 1.5,
        "downtime": 1.5,
        "average_response_time": 1.5,
        "total_checks": 1,
        "total_ok_checks": 1,
        "total_not_ok_checks": 1,
        "last_check_datetime": null,
        "notifications": [],
        "is_enabled": true,
        "datetime": "2026-10-13 14:37:18",
        "last_datetime": null
    }
}
DELETE https://peaknode.de/api/monitors/{monitor_id}
curl --request DELETE \
--url 'https://peaknode.de/api/monitors/{monitor_id}' \
--header 'Authorization: Bearer {api_key}' \